> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post recipientstokensrefresh



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml post /recipients/tokens/refresh
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/tokens/refresh:
    post:
      operationId: refresh
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTokens.RefreshTokensCommand'
        required: true
      responses:
        '200':
          description: refresh 200 response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OauthClient.RefreshedTokens'
components:
  schemas:
    RefreshTokens.RefreshTokensCommand:
      required:
        - system
      type: object
      properties:
        system:
          type: string
    OauthClient.RefreshedTokens:
      required:
        - accessToken
        - refreshToken
      type: object
      properties:
        accessToken:
          type: string
        refreshToken:
          type: string

````